Public Member Functions | Public Attributes | List of all members
libvisio::VSDRelLineTo Class Reference
Inheritance diagram for libvisio::VSDRelLineTo:

## Public Member Functions
| VSDRelLineTo (unsigned id, unsigned level, const boost::optional< double > &x, const boost::optional< double > &y)
| ~VSDRelLineTo () override
void | handle (VSDCollector *collector) const override
VSDGeometryListElement * | clone () override
Public Member Functions inherited from libvisio::VSDGeometryListElement
| VSDGeometryListElement (unsigned id, unsigned level)
virtual | ~VSDGeometryListElement ()
virtual void | handle (VSDCollector *collector) const =0
virtual VSDGeometryListElement * | clone ()=0
virtual unsigned | getDataID () const
void | setLevel (unsigned level)

## Public Attributes
double | m_x
double | m_y

## Additional Inherited Members
Protected Attributes inherited from libvisio::VSDGeometryListElement
unsigned | m_id
unsigned | m_level

## Constructor & Destructor Documentation

## ◆ VSDRelLineTo()

libvisio::VSDRelLineTo::VSDRelLineTo | ( | unsigned | id,
|  | unsigned | level,
|  | const boost::optional< double > & | x,
|  | const boost::optional< double > & | y
| ) |  |
| inline

## ◆ ~VSDRelLineTo()

libvisio::VSDRelLineTo::~VSDRelLineTo | ( |  | ) |
| inline override

## Member Function Documentation

## ◆ clone()

libvisio::VSDGeometryListElement * libvisio::VSDRelLineTo::clone | ( |  | ) |
| override virtual

Implements libvisio::VSDGeometryListElement.

## ◆ handle()

void libvisio::VSDRelLineTo::handle | ( | VSDCollector * | collector | ) | const
| override virtual

Implements libvisio::VSDGeometryListElement.

## Member Data Documentation

## ◆ m_x

double libvisio::VSDRelLineTo::m_x

## ◆ m_y

double libvisio::VSDRelLineTo::m_y

The documentation for this class was generated from the following file:

- VSDGeometryList.cpp